package java.io;

import java.util.Objects;

public class UncheckedIOException extends RuntimeException
{
    private static final long serialVersionUID = -8134305061645241065L;
    
    public UncheckedIOException(String message, IOException obj) {
        super(message, (Throwable)Objects.requireNonNull(obj));
    }
    
    public UncheckedIOException(IOException obj) {
        super((Throwable)Objects.requireNonNull(obj));
    }
    
    @Override
    public IOException getCause() {
        return (IOException)super.getCause();
    }
    
    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        if (!(super.getCause() instanceof IOException)) {
            throw new InvalidObjectException("Cause must be an IOException");
        }
        return;
    }
}
